Name: 		tw_cli
Version: 	2.00.03.013
Release: 	7.3
Summary: 	3ware Command Line Interface Tool
Group: 		System Environment/Base
License: 	3ware
%ifnarch x86_64
Source0: 	tw_cli-linux-x86-9.3.0.3.tgz
%endif
%ifarch x86_64
Source0: 	tw_cli-linux-x86_64-9.3.0.3.tgz
%endif
Source1:	%{name}-rpmlintrc
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

%description
tw_cli is a Command Line Interface Storage Management Software for
AMCC/3ware ATA RAID Controller(s). It provides controller, logical
unit and drive management. tw_cli can be used in both interactive and
batch mode, providing higher-level API (Application Programming
Interface) functionalities.


%prep
%setup -q -c
chmod 644 *.html

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}
install -p -m 0755 tw_cli $RPM_BUILD_ROOT/sbin/
install -p -m 0755 tw_sched $RPM_BUILD_ROOT/sbin/
install -p -m 0644 tw_cli.8.nroff $RPM_BUILD_ROOT/%{_mandir}/man8/tw_cli.8
install -p -m 0644 tw_sched.8.nroff $RPM_BUILD_ROOT/%{_mandir}/man8/tw_sched.8
install -p -m 0644 tw_sched.cfg $RPM_BUILD_ROOT/%{_sysconfdir}/

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc *.html
/sbin/*
%{_mandir}/man8/*.8*
%config(noreplace) %{_sysconfdir}/tw_sched.cfg


%changelog
* Sat Jan 10 2009 Carsten Schoene <cs@linux-administrator.com>
- fix doc permissions
- add rpmlintrc

* Fri May 30 2008 Carsten Schoene <cs@linux-administrator.com>
- fix architecture builds (x86_64 has overwritten i*86 sources)

* Mon May 5 2008 Juergen Gotteswinter <jg@internetx.de>
- Initial build.

